Subject: Re: Bitmap problem
From: NIGEL HUGHES <[email-masked]>
To: "Ott M. Aaloe" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 15 Aug 1994 09:22:14 +0100

In message <[email-masked]>, 
	"Ott M. Aaloe" <[email-masked]> writes:
> > I've had EXACTLY the same problem. I can use 1,2,3,4,5 or 7 bitplanes, but 
> not
> > 6! I discovered this when trying to use the *BLIT commands. It seems that
> > Mark (or whoever wrote the displaylibs) is still using the trick of
> > 6 bitplanes + no HAM = EHB. It works in OCS and ECS, but not on AGA :(
> > NOTE: This is only an educated GUESS. If anyone knows better (or how to get
> > around this) please let us 64-colour users know :)
> 
> I managed to display 64 colour (6 plane) pic but the palette was 
> wrong???
> Someone in list told that his game uses 64 colour (AGA - not 
> EHB) slice and
> it works OK. May be U can explain how U init your coplist as I think 
> there's the problem. Thanx!

Well my new game is written using the display library and opens a 64 colour
non-halfbrite screen, I think what you will find the problem may be connected
to the fact that you have to SET the no half-brite bit ($40?). Seem to
remember me thinking it was the other way round, then just trying it and hey!

But it is perfectly possible. Easy peasy. Lemon Squeezy. 

Nigel Hughes, who last night spent 6 hours looking for a bug that was 
caused by not initialising a variable. Stupid, yes. Tired, yes. Grumpy,
yes. Better not mention it, uh-huh.

> 
>                 O.T.T. ([email-masked])
>